List clinic days
Newest day first, up to 200, with how many are booked. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
clinic-days
List clinic days
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/clinic-days \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/clinic-days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/clinic-days"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"held_on": "2023-12-25",
"cancelled": true,
"booked": 123,
"starts_at": "<string>",
"ends_at": "<string>",
"place": "<string>",
"capacity": 500,
"notes": "<string>",
"public_description": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"checked_in": 123,
"done": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List clinic days
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/clinic-days \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/clinic-days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/clinic-days"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"held_on": "2023-12-25",
"cancelled": true,
"booked": 123,
"starts_at": "<string>",
"ends_at": "<string>",
"place": "<string>",
"capacity": 500,
"notes": "<string>",
"public_description": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"checked_in": 123,
"done": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
